Bug 1775187 (CVE-2019-19036)

Summary: CVE-2019-19036 kernel: null-pointer dereference in btrfs_root_node in fs/btrfs/ctree.c
Product: [Other] Security Response Reporter: Dhananjay Arunesh <darunesh>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: acaringi, airlied, bdettelb, bhu, blc, brdeoliv, bskeggs, dhoward, dvlasenk, esammons, fhrbata, hdegoede, hkrzesin, iboverma, ichavero, itamar, jarodwilson, jeremy, jforbes, jlelli, john.j5live, jonathan, josef, jross, jshortt, jstancek, jwboyer, kernel-maint, kernel-mgr, lgoncalv, linville, masami256, mchehab, mcressma, mjg59, mlangsdo, nmurray, qzhao, rkeshri, rt-maint, rvrbovsk, steved, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A NULL pointer dereference flaw in the btrfs_root_node in fs/btrfs/ctree.c may occur if the rcu_dereference function return is not validated in time of failure. This flaw could allow an attacker to crash the system or leak internal kernel information.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-25 22:15:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1775189, 1813255, 1813256    
Bug Blocks: 1775188    

Description Dhananjay Arunesh 2019-11-21 14:34:18 UTC
A NULL pointer dereference flaw in btrfs_root_node in fs/btrfs/ctree.c may occur if rcu_dereference function return is not validated in time of failure.  This flaw could allow an attacker to crash the system or leak internal kernel information.


Reference:
https://github.com/bobfuzzer/CVE/tree/master/CVE-2019-19036

Comment 1 Dhananjay Arunesh 2019-11-21 14:35:25 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1775189]

Comment 4 Rohit Keshri 2020-03-13 12:03:35 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 6 Justin M. Forbes 2020-06-26 17:10:27 UTC
This was fixed for Fedora with the 5.3.4 stable kernel updates.